#!/bin/sh
# Source functions library
if [ -f /usr/share/java-utils/java-functions ] ; then 
  . /usr/share/java-utils/java-functions
  else
    echo "Can't find functions library, aborting"
  exit 1
fi
 
export knopflerfishdir="/usr/share/java/knopflerfish"
export freejavadir="/usr/share/java/freeplane"
export freedatadir="/usr/share/freeplane"

BASE_JARS="knopflerfish freeplane jgoodies-forms xbean batik groovy jlatexmath xml-commons-apis12 xml-commons-apis xerces-j2 xalan-j2 rhino fop  gnu-regexp apache-commons-lang SimplyHTML"
MAIN_CLASS=org.knopflerfish.framework.Main

BASE_OPTIONS="-Xmx512m \
 -verbose:class \
 -Dorg.freeplane.param1=$1 \
 -Dorg.freeplane.param2=$2 \
 -Dorg.freeplane.param3=$3 \
 -Dorg.freeplane.param4=$4 \
 -Dorg.knopflerfish.framework.bundlestorage=memory \
 -Dorg.freeplane.globalresourcedir=${freedatadir} \
 -Dorg.knopflerfish.gosg.jars=reference:file:${freejavadir}"

KF_OPTIONS="-xargs ${freedatadir}/props.xargs \
 -xargs ${freedatadir}/init.xargs"
 
# Set parameters
set_jvm
set_classpath $BASE_JARS
set_flags $BASE_FLAGS
set_options $BASE_OPTIONS

run  $KF_OPTIONS "$@"
