#!/bin/sh
# Source functions library
if [ -f /usr/share/java-utils/java-functions ] ; then 
  . /usr/share/java-utils/java-functions
  else
    echo "Can't find functions library, aborting"
  exit 1
fi
 
export BASE_OPTIONS="-Xmx512m"

# Set parameters
set_javacmd
set_jvm
set_flags $BASE_FLAGS
set_options $BASE_OPTIONS

export knopflerfishdir="/usr/share/java/knopflerfish"
export freedatadir="/usr/share/freeplane"
export freejavadir="/usr/share/java/freeplane"
export freedatadir="/usr/share/freeplane"

"${JAVACMD}" $FLAGS $OPTIONS\
 "-Dorg.freeplane.param1=$1"\
 "-Dorg.freeplane.param2=$2"\
 "-Dorg.freeplane.param3=$3"\
 "-Dorg.freeplane.param4=$4"\
 "-Dorg.knopflerfish.framework.bundlestorage=memory"\
 "-Dorg.freeplane.globalresourcedir=${freedatadir}"\
 "-Dorg.knopflerfish.gosg.jars=reference:file:${freejavadir}"\
 -jar "${knopflerfishdir}/framework.jar"\
 -xargs "${freedatadir}/props.xargs"\
 -xargs "${freedatadir}/init.xargs"
