# TODO
#
# - mover los *.mm de ayuda a %{_datadir} y parchear el código (¿parche deb?)
# - doc -> comprobar si se invoca desde la app para moverlo a su sitio
# - patterns.xml -> integración en el arranque (como el original) ¿otros xml?
# - revisar el uso de referencias a directorios resources/ o core/ 
# - configurar mime, magic, etc (cosas de Debian)
# - ¿emancipar jortho?
# - generar la ayuda (diría que ahora no hace naíca)
# - ¿qué pasa con jhall?
# - reparar los errores de codificación para java7
# - comprobar los parches de debian para ver qué aprovechamos/inspiramos http://anonscm.debian.org/viewvc/pkg-java/trunk/freeplane/debian/
# - activar los plugins... no sé pq ahora no los ve
# - ¿portar a Felix-OSGi? (ya incluído en Fedora)
# - empaquetar knopflerfish
# - msg «core resource /translations/Resources_es_ES.properties not found»
# Warning: versioning changes in deps probably are fixed thru freeplane-ant.properties

Name:           freeplane
Version:        1.1.3
Release:        3%{?dist}
Summary:        Mind mapping, knowledge management and project management tool
Group:          Applications/Productivity
License:        GPLv2+
URL:            http://www.freeplane.org/

Source0:        https://sourceforge.net/projects/%{name}/files/%{name}%20stable/%{version}/%{name}_srcpure-%{version}.tar.gz
Source1:        %{name}-ant.properties
Source2:        %{name}.desktop
Source3:        %{name}.sh
Source5:	freeplane-MANIFEST.MF
Source6:	freeplane_plugin_bugreport-MANIFEST.MF
Source7:	freeplane_plugin_help-MANIFEST.MF
Source8:	freeplane_plugin_latex-MANIFEST.MF
Source9:	freeplane_plugin_script-MANIFEST.MF
Source10:	freeplane_plugin_svg-MANIFEST.MF

# jpackage style shell, still not working and dunno why
Source99:	freeplane-v2.sh

BuildArch:      noarch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  ant, java-devel, jpackage-utils
BuildRequires:	desktop-file-utils
#BuildRequires:  jarbundler junit
BuildRequires:  rhino fop  gnu-regexp apache-commons-lang SimplyHTML 
BuildRequires:  groovy jlatexmath xml-commons-apis12 xml-commons-apis xerces-j2 xalan-j2
BuildRequires:  jgoodies-forms xbean batik
#BuildRequires: knopflerfish-2.4.0-1.jpp6.noarch
BuildRequires:  knopflerfish
#BuildRequires: jhall

# See http://anonscm.debian.org/viewvc/pkg-java/trunk/freeplane/debian/README.Debian?revision=12745&view=markup
Requires:       xdg-utils desktop-file-utils
Requires:       jpackage-utils java javahelp2
Requires:       rhino fop xbean batik
Requires:       groovy jlatexmath xml-commons-apis12 xml-commons-apis xerces-j2 xalan-j2
Requires:       jgoodies-forms gnu-regexp apache-commons-lang SimplyHTML
Requires:       knopflerfish

%description

Freeplane is free and open source software to support thinking, sharing
information and getting things done at work, in school and at home.  The
core of the software consists of functions for mind mapping, also called
concept mapping or information mapping, and tools for using mapped
information.

New features of Freeplane include:

 * Export to PNG, JPEG, SVG (in addition to HTML / XHTML and PDF)
 * Find / Replace in all open maps
 * Paste HTML as node structure
 * Outline mode
 * Scripting via Groovy
 * Spell Checker

%prep
%setup -q -n %{name}-%{version}_10

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

# provides correct paths to build dependencies
find -name ant.properties -exec cp %{SOURCE1} {} \; 

# fixing classpaths for Fedora integration:
cp %{SOURCE5} ./freeplane/META-INF/MANIFEST.MF
cp %{SOURCE6} ./freeplane_plugin_bugreport/META-INF/MANIFEST.MF
cp %{SOURCE7} ./freeplane_plugin_help/META-INF/MANIFEST.MF
cp %{SOURCE8} ./freeplane_plugin_latex/META-INF/MANIFEST.MF
cp %{SOURCE9} ./freeplane_plugin_script/META-INF/MANIFEST.MF
cp %{SOURCE10} ./freeplane_plugin_svg/META-INF/MANIFEST.MF

%build
ant build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_javadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/%{name}

# main application:
cp -ap freeplane/dist/org.freeplane.core/ %{buildroot}%{_javadir}/%{name}

# plugins:
#cp -ap  freeplane_plugin_bugreport/dist/org.freeplane.plugin.bugreport \
cp -ap  freeplane_plugin_script/dist/org.freeplane.plugin.script \
        freeplane_plugin_latex/dist/org.freeplane.plugin.latex \
        freeplane_plugin_svg/dist/org.freeplane.plugin.svg \
        %{buildroot}%{_javadir}/%{name}

# freeplane stuff:
cp -ap freeplane/dist/resources/*  %{buildroot}%{_datadir}/%{name}/

# cleaning documentation sources:
rm -f freeplane/dist/doc/*odt ./freeplane/dist/doc/*docx

# launch wrapper script
install -pm  0755 %{SOURCE3} %{buildroot}%{_bindir}/%{name}

# set up the osgi shell:
#cp -p freeplane_framework/script/init.xargs %{buildroot}%{_datadir}/%{name}
cp -p freeplane_framework/script/props.xargs %{buildroot}%{_datadir}/%{name}

cat > %{buildroot}%{_datadir}/%{name}/init.xargs <<EOF
-istart freeplane/org.freeplane.core
EOF

# dirty tunning (knopflerfish is ignoring CLASSPATH??)
pushd  %{buildroot}%{_javadir}/%{name}/org.freeplane.core/lib/
popd

# freeplain main? configuration file -> pending to review
cp -p freeplane/resources/xml/patterns.xml %{buildroot}%{_datadir}/%{name}

# desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE2}

install -m 644 -D ./freeplane_framework/script/freeplane.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/freeplane.svg

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,0755)
%doc readme.txt license.txt freeplane/dist/doc/ 
%dir %{_datadir}/%{name}
%{_bindir}/*
%{_javadir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%changelog
* Wed Dec 1 2011 <ismael@olea.org> - 1.1.3-3
- minor fixes

* Wed Dec 1 2011 <ismael@olea.org> - 1.1.3-2
- fixing invocation shell and classpaths

* Tue Nov 29 2011 <ismael@olea.org> - 1.1.3-1
- first draft
